class Screenshot < ActiveRecord::Base  
  include Mixins::ProjectItem
  
    # manually added, from Mixin:
      belongs_to :project, :counter_cache => true
      belongs_to :owner, :class_name => "User", :foreign_key => "owner_id"
      
      
  # Add Avatar (configured from AppConfig)
  has_attached_file :screenshot,
                    :styles => AppConfig.screenshot_sizes.marshal_dump,
                    :default_url => AppConfig.screenshot_default
  
  validates_attachment_presence :screenshot
  validates_attachment_size :screenshot, :less_than => 750.kilobytes
  
end
